#include "Engine.h"
#include <iostream>

int main() {
    try {
        Engine engine;
        engine.Run();
    } catch (const std::exception& e) {
        std::cerr << "[Fatal Error] " << e.what() << std::endl;
        return 1;
    } catch (...) {
        std::cerr << "[Fatal Error] Unknown exception occurred!" << std::endl;
        return 2;
    }

    return 0;
}
